Bug 1571099 - [UPGRADES] 2% packet loss during major-upgrade-composable step
Summary: [UPGRADES] 2% packet loss during major-upgrade-composable step
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: All
OS: All
high
high
Target Milestone: zstream
: 11.0 (Ocata)
Assignee: Sofer Athlan-Guyot
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 06:08 UTC by Yurii Prokulevych
Modified: 2018-06-22 12:30 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-22 12:30:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1544211 None CLOSED iptables is dropping rules on package update 2019-02-21 02:36:45 UTC

Internal Links: 1544211

Description Yurii Prokulevych 2018-04-24 06:08:07 UTC
Description of problem:
-----------------------
During OC upgrade when major-upgrade-composable-steps.yaml file is passed 2% packet loss to FIP is detected.

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
openstack-tripleo-heat-templates-6.2.7-2.el7ost.noarch

Steps to Reproduce:
-------------------
1. Launch VM in OC and assign floating ip to it
2. Start pinging VM
3. Start OC upgrade, e.g.:
  openstack overcloud deploy \ 
    --timeout 100 \
    --templates /usr/share/openstack-tripleo-heat-templates \
    --stack overcloud \
    --libvirt-type kvm \
    --ntp-server clock.redhat.com \
    --control-scale 3 \
    --control-flavor controller \
    --compute-scale 2 \
    --compute-flavor compute \
    --ceph-storage-scale 3 \
    --ceph-storage-flavor ceph \
    -e /usr/share/openstack-tripleo-heat-templates/environments/storage- environment.yaml \
    -e /home/stack/virt/internal.yaml \
    -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
    -e /home/stack/virt/network/network-environment.yaml \
    -e /home/stack/virt/enable-tls.yaml \
    -e /home/stack/virt/inject-trust-anchor.yaml \
    -e /home/stack/virt/public_vip.yaml \
    -e /usr/share/openstack-tripleo-heat-templates/environments/tls-endpoints-public-ip.yaml \
    -e /home/stack/virt/hostnames.yml \
    -e /home/stack/virt/debug.yaml \
    -e /usr/share/openstack-tripleo-heat-templates/environments/major-upgrade-composable-steps.yaml

4. After this step finishes stop ping process and check packet loss percentage

Actual results:
---------------
Upgrade step itself succeeds but 

Expected results:
-----------------
Packet loss is not greater than 1%

Additional info:
----------------
Virtual setup: 3controllers + 2computes + 3ceph on RHEL-7.5 and 2018-04-02.3

Comment 3 Scott Lewis 2018-06-22 12:30:24 UTC
OSP11 is now retired, see details at https://access.redhat.com/errata/product/191/ver=11/rhel---7/x86_64/RHBA-2018:1828


Note You need to log in before you can comment on or make changes to this bug.